Update an existing note by ID
Run in Apidog
Use this action to modify details of an existing note, such as content or related references. Only notes accessible to the current user can be updated.
Request Body Params application/json
{
"relatedToType" : "Account" ,
"relatedToId" : "string" ,
"subject" : "string" ,
"body" : "string" ,
"editorBody" : "string" ,
"lastModifiedBy" : "string" ,
"contactIds" : [
"string"
] ,
"contactType" : "Lead"
} Request Code Samples
curl --location --request PUT 'https://platform.shopranos.eu/api/task/Note/' \
--header 'Content-Type: application/json' \
--data-raw '{
"relatedToType": "Account",
"relatedToId": "string",
"subject": "string",
"body": "string",
"editorBody": "string",
"lastModifiedBy": "string",
"contactIds": [
"string"
],
"contactType": "Lead"
}' Responses application/json
Successfully updated the note.
{
"id" : "string" ,
"companyId" : "string" ,
"relatedToType" : "Account" ,
"relatedToId" : "string" ,
"subject" : "string" ,
"createdBy" : "string" ,
"lastModifiedBy" : "string" ,
"body" : "string" ,
"editorBody" : "string" ,
"insertDate" : "2019-08-24T14:15:22.123Z" ,
"updateDate" : "2019-08-24T14:15:22.123Z" ,
"contactIds" : [
"string"
] ,
"contactType" : "Lead" ,
"taskType" : "Task" ,
"sortDate" : "2019-08-24T14:15:22.123Z"
}
Modified at 2026-03-16 11:48:55